OpenVDB 13.0.0

Loading...
Searching...
No Matches
HalfReader< IsReal, T > Struct Template Reference

## Detailed Description

template<bool IsReal, typename T>
struct openvdb::v13_0::io::HalfReader< IsReal, T >

HalfReader wraps a static function, read(), that is analogous to readData(), above, except that it is partially specialized for floating-point types in order to promote 16-bit half float values to full float. A wrapper class is required because only classes, not functions, can be partially specialized.